

drivers/parport/parport_pc.c: In function `parse_parport_params':
drivers/parport/parport_pc.c:2991: warning: passing arg 1 of `parport_parse_irq' discards qualifiers from pointer target type
drivers/parport/parport_pc.c:2994: warning: passing arg 1 of `parport_parse_dma' discards qualifiers from pointer target type
drivers/parport/parport_pc.c:3000: warning: passing arg 1 of `parport_parse_irq' discards qualifiers from pointer target type
drivers/parport/parport_pc.c:3013: warning: passing arg 1 of `parport_parse_dma' discards qualifiers from pointer target type
drivers/parport/parport_pc.c:2987: warning: unused variable `ret'



---

 drivers/parport/parport_pc.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/parport/parport_pc.c~parport-irq-warning-fix drivers/parport/parport_pc.c
--- 25/drivers/parport/parport_pc.c~parport-irq-warning-fix	2004-02-19 00:53:19.000000000 -0800
+++ 25-akpm/drivers/parport/parport_pc.c	2004-02-19 00:53:19.000000000 -0800
@@ -2947,7 +2947,8 @@ static int __initdata io_hi[PARPORT_PC_M
 static int __initdata dmaval[PARPORT_PC_MAX_PORTS] = { [0 ... PARPORT_PC_MAX_PORTS-1] = PARPORT_DMA_NONE };
 static int __initdata irqval[PARPORT_PC_MAX_PORTS] = { [0 ... PARPORT_PC_MAX_PORTS-1] = PARPORT_IRQ_PROBEONLY };
 
-static int __init parport_parse_param(char *s, int *val, int automatic, int none, int nofifo)
+static int __init parport_parse_param(const char *s, int *val,
+				int automatic, int none, int nofifo)
 {
 	if (!s)
 		return 0;
@@ -2970,13 +2971,13 @@ static int __init parport_parse_param(ch
 	return 0;
 }
 
-static int __init parport_parse_irq(char *irqstr, int *val)
+static int __init parport_parse_irq(const char *irqstr, int *val)
 {
 	return parport_parse_param(irqstr, val, PARPORT_IRQ_AUTO,
 				     PARPORT_IRQ_NONE, 0);
 }
 
-static int __init parport_parse_dma(char *dmastr, int *val)
+static int __init parport_parse_dma(const char *dmastr, int *val)
 {
 	return parport_parse_param(dmastr, val, PARPORT_DMA_AUTO,
 				     PARPORT_DMA_NONE, PARPORT_DMA_NOFIFO);
@@ -3003,7 +3004,6 @@ MODULE_PARM(verbose_probing, "i");
 static int __init parse_parport_params(void)
 {
 	unsigned int i;
-	int ret;
 	int val;
 
 	for (i = 0; i < PARPORT_PC_MAX_PORTS && io[i]; i++) {

_
